## Name

gfs_acl_check — check a Gfarm ACL for validity

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_check(` | acl, |
| last_p, |
| acl_check_err_code_p`)`; |

`gfarm_acl_t acl`;
`int *last_p`;
`int *acl_check_err_code_p`;

## INPUT ARGUMENTS

`acl`

  An ACL structure type which is sorted.

`last_p`

  If this last_p is not NULL, the gfs_acl_check(3) function assigns the number of the ACL entry at which the error was detected to the value pointed to by this last_p.

`acl_check_err_code`

  `GFARM_ACL_MULTI_ERROR` or `GFARM_ACL_DUPLICATE_ERROR` or `GFARM_ACL_MISS_ERROR` or `GFARM_ACL_ENTRY_ERROR`.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_error(3), gfs_acl_sort(3), gfs_acl_valid(3)